io.vertx.ext.mongo

## Class GridFsDownloadOptions

- java.lang.Object
- - io.vertx.ext.mongo.GridFsDownloadOptions

-     public class GridFsDownloadOptions
      extends Object

  Options used to configure downloads from GridFS.
  Author:
    David Bush

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Integer` | `DEFAULT_REVISION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridFsDownloadOptions()` Default constructor
    `GridFsDownloadOptions(GridFsDownloadOptions options)` Copy constructor
    `GridFsDownloadOptions(JsonObject options)` Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Integer` | `getRevision()`
    `int` | `hashCode()`
    `GridFsDownloadOptions` | `setRevision(Integer revision)`
    `JsonObject` | `toJson()` Convert to JSON
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_REVISION

          public static final Integer DEFAULT_REVISION

  - ### Constructor Detail

    - #### GridFsDownloadOptions

          public GridFsDownloadOptions()

      Default constructor

    - #### GridFsDownloadOptions

          public GridFsDownloadOptions(GridFsDownloadOptions options)

      Copy constructor
      Parameters:
        `options` - the one to copy

    - #### GridFsDownloadOptions

          public GridFsDownloadOptions(JsonObject options)

      Constructor from JSON
      Parameters:
        `options` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getRevision

          public Integer getRevision()

    - #### setRevision

          public GridFsDownloadOptions setRevision(Integer revision)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022 Eclipse. All rights reserved.